Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I've got a new server (Win 2008R2, x64) with some legacy applications which I need to run on it. The previous server (and underlying connections) used the Jet OLE DB 4.0 engine which doesn't seem to be present at the current state.

Searched MS download sites extensively, but all I got were updates that were "not applicable". So my question, can I register some components or what do I need to do to get these apps running (and reading those files)?

share|improve this question
add comment

1 Answer

up vote 3 down vote accepted
+25

Well I've found the solution. Althought this download: http://www.microsoft.com/downloads/en/details.aspx?FamilyID=C06B8369-60DD-4B64-A44B-84B371EDE16D is NOT intended

2.As a replacement for the Jet OLEDB Provider in server-side applications

It works though. And because I just need it to import old data into the new situation it works for me. Changed the connectionstring-part from Provider=JET.OLE to:

Provider=Microsoft.ACE.OLEDB.12.0;
share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.